Docs
Get Procurement
GET /procurements/{id}
GET
/procurements/{id}Returns one procurement with every need, its schedule, pricing breakdown, order lines and linked advance requests. The id comes from Procurements_GetProcurements.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| status | string| null | |
| totalCost | number | |
| totalCharge | number | |
| groups | GetProcurementResponseGroup[]| null | |
| resources | GetProcurementResponseResource[]| null |
GetProcurementResponseGroup
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| notes | string| null | |
| index | integer |
GetProcurementResponseResource
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| status | string| null | |
| owner | uuid| null | |
| quantity | number | |
| isUnbilledScope | boolean | |
| typeChangeHolds | GetProcurementResponseResourceTypeChangeHoldsInfo | |
| groupId | uuid| null | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| area | GetProcurementResponseResourceAreaInfo| null | |
| collaboratorId | uuid| null | |
| cloneGroupId | uuid| null | |
| rateCardId | uuid| null | |
| rateCardName | string| null | |
| costPerUnit | number | |
| chargePerUnit | number | |
| totalCost | number | |
| totalCharge | number | |
| type | GetProcurementResponseResourceResourceType | |
| attributeValues | GetProcurementResponseResourceAttributeValue[]| null | |
| parentProcurementResourceId | uuid| null | |
| chargeReplacedByComposite | boolean | |
| componentId | uuid| null | |
| componentLabel | string| null | |
| allowedResourceVariantIds | uuid[]| null | |
| compositeCoverage | CompositeCoverageInfo | |
| compositeMoney | CompositeMoneyInfo | |
| orderLines | GetProcurementResponseResourceOrderLine[]| null | |
| requests | GetProcurementResponseResourceRequest[]| null | |
| scheduleBlocks | GetProcurementResponseResourceScheduleBlock[]| null | |
| costSegments | GetProcurementResponseResourceCostSegment[]| null | |
| costMinimums | GetProcurementResponseResourceCostMinimum[]| null | |
| costModifiers | GetProcurementResponseResourceCostModifier[]| null | |
| ruleSets | GetProcurementResponseResourceRuleSetInfo[]| null | |
| incomplete | GetProcurementResponseResourceIncompleteInfo |
GetProcurementResponseResourceTypeChangeHoldsInfo
| Field | Type | Description |
|---|---|---|
| reservationCount | integer | |
| orderLineCount | integer | |
| fulfillmentItemCount | integer |
GetProcurementResponseResourceAreaInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetProcurementResponseResourceResourceType
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| label | string| null | |
| trackingType | string| null | |
| icon | string| null | |
| lineItemLabel | string| null |
GetProcurementResponseResourceAttributeValue
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| resourceAttributeId | uuid | |
| value | string| null |
CompositeCoverageInfo
| Field | Type | Description |
|---|---|---|
| fulfilledUnits | number | |
| openUnits | number | |
| isFilled | boolean | |
| status | string| null | |
| perComponent | CompositeCoverageInfoComponentInfo[]| null |
CompositeMoneyInfo
| Field | Type | Description |
|---|---|---|
| cost | number | |
| charge | number | |
| margin | number | |
| isChargeDeclared | boolean | |
| isPartial | boolean |
GetProcurementResponseResourceOrderLine
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| orderId | uuid | |
| orderName | string| null | |
| quantity | number | |
| revisesOnEdit | boolean |
GetProcurementResponseResourceRequest
| Field | Type | Description |
|---|---|---|
| id | uuid |
GetProcurementResponseResourceScheduleBlock
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| type | GetProcurementResponseResourceScheduleBlockScheduleBlockTypeInfo | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| activityId | uuid| null | |
| notes | string| null | |
| area | GetProcurementResponseResourceScheduleBlockAreaInfo| null | |
| collaboratorId | uuid| null | |
| costAmount | number | |
| chargeAmount | number | |
| requests | GetProcurementResponseResourceScheduleBlockRequestSummary[]| null |
GetProcurementResponseResourceCostSegment
| Field | Type | Description |
|---|---|---|
| stateName | string| null | |
| period | string| null | |
| durationHours | number | |
| costAmount | number | |
| chargeAmount | number | |
| isFallback | boolean |
GetProcurementResponseResourceCostMinimum
| Field | Type | Description |
|---|---|---|
| spanStart | date-time | |
| spanEnd | date-time | |
| costAmount | number | |
| chargeAmount | number |
GetProcurementResponseResourceCostModifier
| Field | Type | Description |
|---|---|---|
| modifierId | uuid | |
| label | string| null | |
| value | string| null | |
| application | string| null | |
| costAmount | number | |
| chargeAmount | number |
GetProcurementResponseResourceRuleSetInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetProcurementResponseResourceIncompleteInfo
| Field | Type | Description |
|---|---|---|
| missingRequired | GetProcurementResponseResourceIncompleteInfoMissingProperty[]| null | |
| blocksPricing | boolean |
CompositeCoverageInfoComponentInfo
| Field | Type | Description |
|---|---|---|
| childId | uuid | |
| componentId | uuid| null | |
| label | string| null | |
| neededQuantity | number | |
| securedQuantity | number | |
| awaitingQuantity | number | |
| tentativeQuantity | number | |
| status | string| null |
GetProcurementResponseResourceScheduleBlockScheduleBlockTypeInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| color | string| null | |
| icon | string| null |
GetProcurementResponseResourceScheduleBlockAreaInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetProcurementResponseResourceScheduleBlockRequestSummary
| Field | Type | Description |
|---|---|---|
| id | uuid |
GetProcurementResponseResourceIncompleteInfoMissingProperty
| Field | Type | Description |
|---|---|---|
| resourceAttributeId | uuid | |
| label | string| null | |
| pricingRole | string| null |